Baserow Representative API Octri Preview
GET/api/database/tables/{table_id}/

Get a database table

Retrieves a database table the authenticated user can access. The table object includes its ID, database ID, name, ordering value, and data-sync information. Use table_id to identify the table.

1 parameter
table_idintegerrequired
The unique identifier of the table to retrieve.

3 status codes
200Returns the table object, including its ID, database ID, name, order, and data-sync details.
data_syncobjectrequired
database_idintegerrequired
idintegerrequired
namestringrequired
orderintegerrequired
Lowest first.
400Returned when the authenticated user is not in the relevant group.
detailstringoptional
Human readable details about what went wrong.
errorstringoptional
Machine readable error indicating what went wrong.
Allowed:ERROR_USER_NOT_IN_GROUP
404Returned when the table does not exist.
detailstringoptional
Human readable details about what went wrong.
errorstringoptional
Machine readable error indicating what went wrong.
Allowed:ERROR_TABLE_DOES_NOT_EXIST

Error handling

A 400 is returned when the authenticated user is not in the relevant group. A 404 is returned when the table does not exist. The table_id path parameter must identify an existing table that the authenticated user can access.